document.addEventListener('DOMContentLoaded', function() {
  const calculateBtn = document.getElementById('calculate');
  const resultDiv = document.getElementById('result');
  
  calculateBtn.addEventListener('click', function() {
    const research = parseInt(document.getElementById('research').value);
    const income = parseInt(document.getElementById('income').value);
    const academia = parseInt(document.getElementById('academia').value);
    
    const phdScore = (research * 0.4) + (academia * 0.4) + ((6 - income) * 0.2);
    const workScore = (income * 0.4) + ((6 - academia) * 0.3) + ((6 - research) * 0.3);
    
    let recommendation = '';
    if (phdScore > workScore) {
      recommendation = `
        <h3 style="color: var(--accent)">PhD Path Recommended</h3>
        <p>Based on your preferences, pursuing a PhD might be a better fit for you.</p>
        <p>PhD Score: ${phdScore.toFixed(1)} | Work Score: ${workScore.toFixed(1)}</p>
      `;
    } else {
      recommendation = `
        <h3 style="color: var(--primary)">Work Path Recommended</h3>
        <p>Based on your preferences, entering the workforce might be a better fit for you.</p>
        <p>Work Score: ${workScore.toFixed(1)} | PhD Score: ${phdScore.toFixed(1)}</p>
      `;
    }
    
    resultDiv.innerHTML = recommendation;
    resultDiv.style.animation = 'fadeIn 0.5s ease-out';
  });

  // Smooth scrolling for navigation links
  document.querySelectorAll('a[href^="#"]').forEach(anchor => {
    anchor.addEventListener('click', function(e) {
      e.preventDefault();
      const target = document.querySelector(this.getAttribute('href'));
      target.scrollIntoView({
        behavior: 'smooth',
        block: 'start'
      });
    });
  });
});
